Page MenuHomePhabricator

Proposal: Improving documentation of ~20 top 70 most viewed MediaWiki Action API pages on-wiki
Closed, DeclinedPublic

Description

Profile Information

Name: Eisheeta Barua
Email: eisheeta.barua@gmail.com
Github: https://github.com/eisheeta
Resume: https://drive.google.com/file/d/1kgqrY-2qEK-J0228jQHqRd_EOsHLzXGc/view?usp=sharing
Location: New Delhi, India
Time Zone: IST (UTC +5:30 )
Typical working hours: 10:00 am to 3:00 pm and 5:00 pm to 11:00 pm (UTC +5:30)
Working hours during college: 4:00 pm to 12:00 am (UTC +5:30)

Synopsis

The project includes improving documentation of ~20 top 70 most viewed MediaWiki Action API pages on-wiki using a documentation template.

The MediaWiki action API is a web service that allows access to some wiki-features like authentication, page operations, and search. It can provide meta information about the wiki and the logged-in user. Several Wikimedia projects make use of this API. As of now, there are ~128 pages on the Action API on MediaWiki.org. Our team did a little research on the state of the docs and documented a few problems and recommendations for the next steps. One of the issues we decided to address was inconsistency.

The goal of this project in Round 18 would be to improve documentation of ~20 top 70 most viewed MediaWiki Action API pages on-wiki using the documentation template. If there is more time, then the next part of the project could be developing one or two demo apps around the use of Action APIs.

Mentor

Srishti Sethi ( @srishakatux )


Deliverables

  • Three articles every week, through out the course of 9 weeks
  • Code at least one demo app in Python using Flask framework.
  • One blog post per week chronicling my experience working with MediaWiki

Timeline

Week 1 (May 20 - May 26)

  • Decide on the APIs whose documentation needs improvement.
  • Request for admin rights if required.
  • Decide on the Demo Apps to work on.
  • Improve documentation of at least two APIs.

Week 2 (May 27 - June 02)

  • Submit initial feedback to Outreachy
  • Blog Post about Week 1
  • Improve documentation of three APIs.
  • Decide on the APIs required for the demo apps.

Week 3 (June 03 - June 09)

  • Blog Post about Week 2
  • Improve documentation of three APIs.

Week 4 (June 10 - June 16)

  • Blog Post about Week 3
  • Improve documentation of three APIs.
  • Learn new skills if the demo app demands that.

Week 5 (June 17 - June 23)

  • Blog Post about Week 4
  • Improve documentation of three APIs.
  • Submit a rough draft on the UI of the demo app.

Week 6 (June 24 - June 30)

  • Blog Post about Week 5
  • Improve documentation of three APIs.
  • Make changes to the rough draft of demo app if required.

Week 7 (July 01 - July 07)

  • Submit midpoint feedback to Outreachy
  • Blog Post about Week 6
  • Improve documentation of three APIs.

Week 8 (July 08 - July 14)

  • Blog Post about Week 7
  • Improve documentation of three APIs.

Week 9 (July 15 - July 21)

  • Blog Post about Week 8
  • Improve documentation of two APIs.
  • Start working on the coding of the demo app.

Week 10 (July 22 - July 28)

  • Blog Post about Week 9
  • Improve the UI and write the back-end of the demo app and deploy it.

Week 11 (July 29 - August 04)

  • Blog Post about Week 10
  • Test the demo app and start working on its documentation
  • Start working on the second demo app.

Week 12 (August 05 - August 11)

  • Blog Post about Week 11
  • Improve UI and write back-end of the second demo app.

Week 13 (August 12 - August 20)

  • Blog Post about Week 12
  • Test and Develop code further and work on its documentation.

After Internship Period (August 21 - )

  • Submit final feedback to Outreachy
  • Blog post about my entire journey with FOSS.
  • Continue working on demo apps if there are still incomplete tasks left.
  • Start contributing to Wikimedia Foundation in other spheres and stay active.

Participation

  • I'll be in contact with my mentor on Zulip Chat as well as on Phabricator and would use Github repository to host my work. All the sample codes and demo apps will reside in my fork of Srishti's repository: https://github.com/eisheeta/MediaWiki-Action-API-Code-Samples. I'll be in contact via email on days I'm not available on Zulip chat.
  • I plan on writing at least three articles/blog posts every month and update my MediaWiki user page with all the tasks completed weekly.

About Me

I'm an undergraduate student, pursuing B.tech in Computer science & Engineering from Indira Gandhi Delhi Technical University for Women, Delhi, India. I'm a junior and will graduate in May 2020. I've always wanted to be an active member of my community and after witnessing lack of interaction and flow of information among my peers, I co-founded WomenHacks in 2018, a platform for young women to share their skills and build a community of learners and leaders.

I usually code in C++ and have been using python to program Raspberry Pi in my current school course. I am interested in web development technologies and would love to delve more in open source development.

How did you hear about this program?
I found out about Outreachy through one of the sessions conducted by WomenHacks.

Will you have any other time commitments, such as school work, another job, planned vacation, etc, during the duration of the program?
I'll have my summer break from May 26 to July 31. My college reopens on August 01, but I'll be available after 4:00 pm IST. I have no exams scheduled during August.

We advise all candidates eligible for Google Summer of Code and Outreachy to apply for both programs. Are you planning to apply to both programs and, if so, with what organization(s)?
I am only applying for Outreachy this summer.

What does making this project happen mean to you?
As an avid reader and a student, Wikipedia has been an integral part of my life growing up. If I had any doubts or questions, I'd search it on Wikipedia. To find so much of information at one place is a phenomenon unheard of, and it was made possible by WikiMedia Foundation. It's not just haven for students rushing to complete their assignments a night before their submission dates, but an intense web of developers, contributors and volunteers who work together to create a seamless experience for all the users and the next generation of developers. I hope to become this little techie-spider spinning and upholding the ever-growing gigantic wiki web.

It's my first time contributing to open source, and getting an opportunity to become a part of it would mean a lot to me. Delving into something so gigantic as MediaWiki that impacts so many developers and students around the globe is a feather in cap indeed. The amount of stuff I've learnt in the past month is unbelievable and it motivates me to continue being a part of this project and give back to the community that has made this possible. I can't imagine how much more there's to learn, and that idea alone excites me!

I believe in leading by example. Through sessions with WomenHacks, I've always encouraged students to be a part of FOSS Community and start contributing. But my advice holds no gravity if I don't do it myself. Making this project happen would be my way of inspiring myself and other girls who are scared to take the first leap.


Past Experience

  • I have been developing responsive web applications for the last two years.
  • I've been blogging for the last three years and managed content and graphics for my society.

MediaWiki

Microtasks

https://www.mediawiki.org/wiki/API:Deletedrevs
Improved documentation of the API: Deletedrevs [Accepted]

https://github.com/wikimedia/MediaWiki-Action-API-Code-Samples/pull/87
Pull Request to add sample code for API: Deletedrevs [ Merged ]

https://www.mediawiki.org/wiki/API:Categoryinfo
Improved documentation of the API: Categoryinfo [Accepted]

https://github.com/wikimedia/MediaWiki-Action-API-Code-Samples/pull/86
Pull Request to add sample code for API: Categoryinfo [Merged]


Pages updated as per task T213408 [Accepted]
https://www.mediawiki.org/wiki/Manual:EmptyUserGroup.php
Wrote documentation for the maintenance script emptyUserGroup.php

https://www.mediawiki.org/wiki/Manual:Maintenance_scripts
Updated documentation of Manual: Maintenance_scripts by adding Manual:EmptyUserGroup.php's documentation to the list of maintenance scripts.


Page updated as per task T185426 [ Awaiting Approval ]
https://www.mediawiki.org/wiki/Best_practices_for_extensions#Database

https://www.mediawiki.org/wiki/Manual:Developing_extensions#Adding_database_tables

https://www.mediawiki.org/wiki/Manual:Hooks/LoadExtensionSchemaUpdates#Usage

Updated the above pages to reflect the fact that extensions should not change MW Core db tables


Translation [ Work In Progress ]
https://www.mediawiki.org/wiki/API:FAQ/hi
Translating the above page from English to Hindi.
After contributing some to Wikimedia, I wanted to explore other venues besides documentation, and translation held my interest. I was introduced to the project via translatewiki.net, and since then have completed 61% of document's translation.


Miscellaneous

https://www.mediawiki.org/wiki/Manual:Pywikibot/Third-party_Wiki_Quick_Start [ Accepted ]
Fixed typos and grammar in the above page to improve readability. I found out about the page from below.
Phabricator task: https://phabricator.wikimedia.org/T197552

https://www.mediawiki.org/wiki/Extension:FeaturedFeeds [Accepted]
While working on task T212020, I discovered the above extension page didn't have a download section. Since the download section is present in other extension documentation, I added it here as well.

https://www.mediawiki.org/wiki/Extension:Thanks [Accepted]
I discovered the above extension page didn't have a download section. Since the download section is present in other extension documentation, I added it here as well.

https://www.mediawiki.org/wiki/Extension:Echo [Accepted]
I discovered the above extension page didn't have a download section. Since the download section is present in other extension documentation, I added it here as well.

https://www.mediawiki.org/wiki/Extension:AuthorProtect [Accepted]
I discovered the above extension page didn't have a download section. Since the download section is present in other extension documentation, I added it here as well.


Page updated as per task T212020 [ Work in Progress ]

https://www.mediawiki.org/wiki/Extension:WikimediaBadges
Writing documentation for the extension: WikimediaBadges


Pages updated as per task T218844 [Accepted]

https://www.mediawiki.org/wiki/Gerrit

https://www.mediawiki.org/wiki/CDB

https://www.mediawiki.org/wiki/Download_from_Git

https://www.mediawiki.org/wiki/Continuous_integration/Jenkins

https://www.mediawiki.org/wiki/Citoid

https://www.mediawiki.org/wiki/MediaWiki_Language_Extension_Bundle

https://www.mediawiki.org/wiki/VisualEditor/Testing_in_user_space_without_d%C3%A6mons

https://www.mediawiki.org/wiki/Extension:BoilerPlate

https://www.mediawiki.org/wiki/Extension:MediaWikiFarm/Quick_start

https://www.mediawiki.org/wiki/Extension:Page_Forms/Download_and_installation

https://www.mediawiki.org/wiki/Extension:Cargo/Download_and_installation

https://www.mediawiki.org/wiki/Gerrit/Tutorial

https://www.mediawiki.org/wiki/MediaWiki-Vagrant/Installation_details

https://www.mediawiki.org/wiki/Intranet/Intranet_Installation

https://www.mediawiki.org/wiki/Meza/Installing_additional_skins

https://www.mediawiki.org/wiki/LaTeX_on_a_shared_host

https://www.mediawiki.org/wiki/Meza/Installing_additional_extensions

https://www.mediawiki.org/wiki/Semantic_Bundle

https://www.mediawiki.org/wiki/Excimer

https://www.mediawiki.org/wiki/Collaboration/Deployment_planning/Recipe

https://www.mediawiki.org/wiki/Offline_content_generator/Installation/en

https://www.mediawiki.org/wiki/LuaSandbox

https://www.mediawiki.org/wiki/RunningStat

https://www.mediawiki.org/wiki/Parsoid/C%2B%2B/Skel

https://www.mediawiki.org/wiki/VisualEditor/Gadgets

https://www.mediawiki.org/wiki/Hackathons/Laptop_setup/Windows_MediaWiki

https://www.mediawiki.org/wiki/Hackathons/Laptop_setup/OSX_MediaWiki

https://www.mediawiki.org/wiki/Hackathons/Laptop_setup/Linux_MediaWiki

https://www.mediawiki.org/wiki/Parsoid/Setup/pl

https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker/Extension_Writing_Tutorial

https://www.mediawiki.org/wiki/Gerrit/Troubleshooting

https://www.mediawiki.org/wiki/Wikibase/Programmer%27s_guide_to_Wikibase

https://www.mediawiki.org/wiki/Manual:Mwbzutils

https://www.mediawiki.org/wiki/Continuous_integration/Zuul

https://www.mediawiki.org/wiki/Parsoid/Round-trip_testing/Cassandra

https://www.mediawiki.org/wiki/Manual:Installing_MediaWiki_on_Windows_Server_2012_R2

https://www.mediawiki.org/wiki/Manual:Grabbers

https://www.mediawiki.org/wiki/MediaWiki-Vagrant

https://www.mediawiki.org/wiki/Talk:Gerrit/Tutorial/Archive

https://wikitech.wikimedia.org/wiki/Puppet

https://wikitech.wikimedia.org/wiki/Search/2013

https://wikitech.wikimedia.org/wiki/Performance/WebPageTest

https://wikitech.wikimedia.org/wiki/Help:Toolforge

https://wikitech.wikimedia.org/wiki/OCG

https://wikitech.wikimedia.org/wiki/Obsolete:Nodepool

https://wikitech.wikimedia.org/wiki/Nova_Resource:Wikistats/Documentation

https://wikitech.wikimedia.org/wiki/Obsolete_talk:Help:Labs-vagrant

https://wikitech.wikimedia.org/wiki/Nova_Resource_Talk:Mwoffliner

https://www.mediawiki.org/wiki/Talk:Good_first_bugs

https://www.mediawiki.org/wiki/Template:WikimediaGitCheckout

https://www.mediawiki.org/wiki/Talk:MediaWiki-Vagrant


Other Projects

https://github.com/eisheeta/MEHA
Medical and Healthcare application: It's a php based web application that uses mysql as its database. The project was aimed at developing a centralised data repository for users to keep their entire medical history, digital prescriptions, and test reports at one place. Each user has the ability to give permission to the registered doctors, medical officials, clinicians, etc. to view their medical history and add prescription.

https://github.com/eisheeta/Catch_Ball_Game
The above game is developed using Python and Tkinter.
It is a very simple game. There is one bar at the bottom of game window which can be moved left or right using the buttons that are on the game screen. The task is to bring that bar to a suitable location by moving left or right so that the red ball will fall on that bar and not on the ground.

https://github.com/eisheeta/colour-guessing-game
Colour Guessing Game is a simple game developed using web technologies like HTML, CSS, Javascript, and Bootstrap. The game constitutes of guessing the correct colour of the RGB Code by choosing the coloured boxes on screen. The game has two difficulty modes.

https://github.com/eisheeta/to-do-lists
To-do-lists is a web application developed using HTML, CSS, Bootstrap, JQuery and Javascript. To-do-list keeps track of all the tasks that needs to be done. It strikes-through tasks completed and can even delete unwanted tasks.

https://codepen.io/eisheeta-barua/pen/ZRwvRR
Small project to create front-end of the landing page of a pet foster and adoption center.

https://codepen.io/eisheeta-barua/pen/WyPdXj
Front-end of a single page photo blog.

Event Timeline

Eisheeta created this task.Mar 16 2019, 6:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2019, 6:23 PM
Eisheeta renamed this task from Wikimedia Documentation to Wikimedia Documentation Proposal.Mar 16 2019, 6:26 PM
Eisheeta updated the task description. (Show Details)
Eisheeta updated the task description. (Show Details)Mar 16 2019, 7:15 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 11:01 AM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 12:02 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 4:43 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 6:09 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 6:44 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 7:09 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 8:17 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 8:23 PM
Eisheeta added a subscriber: srishakatux.
Eisheeta renamed this task from Wikimedia Documentation Proposal to Proposal: Improving documentation of ~20 top 70 most viewed MediaWiki Action API pages on-wiki .Mar 17 2019, 8:27 PM
Eisheeta updated the task description. (Show Details)

Hello @srishakatux

Please find my proposal for the Outreachy round 18 here. It'd be great if you could give your feedback and mention changes where ever required.

Thank you so much!

Eisheeta updated the task description. (Show Details)Mar 17 2019, 8:34 PM
Eisheeta updated the task description. (Show Details)Mar 17 2019, 8:56 PM
Eisheeta updated the task description. (Show Details)Mar 19 2019, 1:51 PM
Eisheeta updated the task description. (Show Details)Mar 19 2019, 4:24 PM
Eisheeta updated the task description. (Show Details)Mar 19 2019, 6:50 PM

@Eisheeta Your proposal looks good to me! Only curious about these pages you've mentioned:

https://www.mediawiki.org/wiki/Manual:EmptyUserGroup.php
Wrote documentation for the maintenance script emptyUserGroup.php
https://www.mediawiki.org/wiki/Manual:Maintenance_scripts
Updated documentation of Manual: Maintenance_scripts by adding Manual:EmptyUserGroup.php's documentation to the list of maintenance scripts.
https://www.mediawiki.org/wiki/Manual:Pywikibot/Third-party_Wiki_Quick_Start
Fixed typos and grammar in the above page to improve readability.
https://www.mediawiki.org/wiki/API:FAQ/hi
Translating the above page from English to Hindi

Could you provide a link to the Phabricator tasks if there are any for pages (linked above) you worked on? If not then maybe add ~1-2 lines summarizing your interest, process followed in working on these tasks and current status.

Whenever you are ready, you can submit your proposal on the Outreachy site and move it to the "Proposals Submitted" column on the Outreachy (Round 18) workboard in Phabricator.

Eisheeta updated the task description. (Show Details)Mar 20 2019, 3:49 AM
Eisheeta updated the task description. (Show Details)Mar 20 2019, 4:20 AM
Eisheeta updated the task description. (Show Details)
Eisheeta updated the task description. (Show Details)Mar 20 2019, 4:32 AM
Eisheeta updated the task description. (Show Details)Mar 20 2019, 4:34 AM
Eisheeta updated the task description. (Show Details)Mar 20 2019, 7:40 PM
Eisheeta updated the task description. (Show Details)Mar 20 2019, 8:03 PM

@srishakatux Thank you so much for your feedback! :)

Eisheeta updated the task description. (Show Details)Mar 21 2019, 2:13 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 2:39 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 3:56 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 4:19 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 5:44 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 5:49 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 6:07 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 6:35 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 8:26 PM
Eisheeta updated the task description. (Show Details)Mar 21 2019, 8:29 PM
Eisheeta updated the task description. (Show Details)Mar 22 2019, 7:28 PM
Eisheeta updated the task description. (Show Details)Mar 24 2019, 5:59 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 24 2019, 5:59 AM
Eisheeta updated the task description. (Show Details)Mar 24 2019, 11:28 AM
Eisheeta updated the task description. (Show Details)
Eisheeta updated the task description. (Show Details)Mar 25 2019, 7:21 PM
Eisheeta updated the task description. (Show Details)Mar 25 2019, 7:54 PM
Nikitrain added a subscriber: Nikitrain.

sorry for moving your task by mistake :)

Eisheeta updated the task description. (Show Details)Mar 26 2019, 2:24 PM
Eisheeta updated the task description. (Show Details)Mar 27 2019, 2:13 PM
Eisheeta updated the task description. (Show Details)Mar 28 2019, 2:53 PM
Eisheeta updated the task description. (Show Details)
Eisheeta updated the task description. (Show Details)Mar 28 2019, 3:00 PM
Eisheeta updated the task description. (Show Details)Mar 29 2019, 7:00 PM
Eisheeta updated the task description. (Show Details)Apr 7 2019, 2:24 PM

(look for next steps in the email that you'll receive shortly with an option to request for a debrief on why your proposal was not accepted)

srishakatux closed this task as Declined.May 7 2019, 1:11 AM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMay 7 2019, 1:11 AM